### NOCASE FIX
# Use this if you are trying to use jIRCoff Fserve and are getting Tcl errors
# due to the -nocase param.  This should only be needed if your version of Tcl
# is earlier than 8.3.0.
if {[catch {string dvs}]} then {
	rename string dvs_func:str
}
proc string {args} {
	set keyword [lindex $args 0]
	if {$keyword == "dvs"} then {
		return 0
	} elseif {$keyword != "match" && $keyword != "equal"} then {
		return [eval "dvs_func:str $args"]
	}
	set element1 [lindex $args 1]
	set element2 [lindex $args 2]
	set element3 [lindex $args 3]
	if {$element1 == "-nocase"} then {
		set element1 [string tolower $element2]
		set element2 [string tolower $element3]
	}
	switch -- $keyword\
	match {
		return [dvs_func:str match $element1 $element2]
	} equal {
		return [expr ![string compare $element1 $element2]]
	}
}